unit FirstForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, jpeg, ExtCtrls, ShellApi, Registry;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Button1: TButton;
    OpenDialog1: TOpenDialog;
    Image1: TImage;
    procedure UrlMailClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    function GetRegistryValue(KeyName: string): string;
  private
    { Private declarations }
  public
  mp3_file_name: String;
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses SecondForm;

{$R *.dfm}

procedure TForm1.UrlMailClick(Sender: TObject);
begin
 If (Sender is TLabel) then
  with (Sender as Tlabel) do
 ShellExecute(Application.Handle,
             PChar('open'),
             PChar(Hint),
             PChar(0),
             nil,
             SW_NORMAL);
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  NewFileName: string;
  NewFile: TFileStream;
  OldFile: TFileStream;
begin
//ShowMessage('aj da vidam registar: ' +GetRegistryValue('test'));
  if OpenDialog1.Execute then
    begin
      NewFileName:=ExtractFilePath(Application.ExeName)+'\audios\'+ExtractFileName(OpenDialog1.FileName);
      OldFile:=TFileStream.Create(OpenDialog1.FileName, fmOpenRead or fmShareDenyWrite);
      try
        NewFile:=TFileStream.Create(NewFileName, fmCreate or fmShareDenyRead);
        try
          NewFile.CopyFrom(OldFile, OldFile.Size);
          mp3_file_name:= ExtractFileName(OpenDialog1.FileName);
        finally
          FreeAndNil(NewFile);
        end;
      finally
        FreeAndNil(OldFile);
      end;
         Form2.Show;
         Form1.Hide;
    end;
end;
//funkcija za citanje na registaro, za freeware version
function TForm1.GetRegistryValue(KeyName: string): string;
var
  Registry: TRegistry;
begin
  Registry := TRegistry.Create(KEY_READ);
  try
    Registry.RootKey := HKEY_CURRENT_USER;
    // False if we do not want to create it if it doesn't exist
    Registry.OpenKey('\Software\Microsoft\Windows\CurrentVersion\Audio', true);
//    if (not Registry.ValueExists('VALUE1')) then Registry. //RenameValue('', 'VALUE1');
    Result := Registry.ReadString('VALUE1');
  finally
    Registry.Free;
  end;
end;


end.
