unit SecondForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ColorGrd, ExtCtrls, ShellApi;

type
  TForm2 = class(TForm)
    Label2: TLabel;
    RadioGroup1: TRadioGroup;
    Label3: TLabel;
    ColorGrid1: TColorGrid;
    CheckBox1: TCheckBox;
    Label4: TLabel;
    Button1: TButton;
    Button2: TButton;
    Edit3: TEdit;
    Panel1: TPanel;
    Label5: TLabel;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure UrlMailClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    function IzvrtiBoja(s: String):String;
    function SmeniBoja(boja: Integer): String;
    procedure ColorGrid1Click(Sender: TObject);
    procedure Edit3Exit(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;
  close_bool: Boolean;
  validna_boja: Boolean;
implementation

uses FirstForm, StrUtils;

{$R *.dfm}

procedure TForm2.FormClose(Sender: TObject; var Action: TCloseAction);
begin
if (close_bool) then Form1.Close();
end;

procedure TForm2.UrlMailClick(Sender: TObject);
begin
 If (Sender is TLabel) then
  with (Sender as Tlabel) do
 ShellExecute(Application.Handle,
             PChar('open'),
             PChar(Hint),
             PChar(0),
             nil,
             SW_NORMAL);
end;

procedure TForm2.Button1Click(Sender: TObject);
var
  f: TextFile;
  color_flash, auto_start,buffer_time: String;
begin
//parsiranje na bojata za Flash
color_flash:='';
  case ColorGrid1.Selection of
    0: color_flash:='000000';
    1: color_flash:='800000';
    2: color_flash:='008000';
    3: color_flash:='808000';
    4: color_flash:='000080';
    5: color_flash:='800080';
    6: color_flash:='408080';
    7: color_flash:='C0C0C0';
    8: color_flash:='808080';
    9: color_flash:='FF0000';
    10: color_flash:='00FF00';
    11: color_flash:='FFFF00';
    12: color_flash:='0000FF';
    13: color_flash:='FF00FF';
    14: color_flash:='00FFFF';
    15: color_flash:='FFFFFF';
  end;

  if (validna_boja) then color_flash:=Edit3.Text;
//tuka se generira html fajlot
  if RadioGroup1.ItemIndex = -1 then
     ShowMessage('Please select buffer time')
    else
      begin
//see the check box
        if (CheckBox1.Checked) then auto_start:='1';
//case for buffer time:
        case RadioGroup1.ItemIndex of
          0: buffer_time:='2';
          1: buffer_time:='3';
          2: buffer_time:='5';
          3: buffer_time:='8';
        end;
        AssignFile(f,ExtractFilePath(Application.ExeName)+'audios\TempHtml.html');
        Rewrite(f);
        writeln(f,'<html> <body>');
        writeln(f,'<br>');
//ispisuvanje na flash objectot
        writeln(f, '<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" '
                    ,'codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=7,0,0,0" width="65" height="22" id="audio_player" align="middle"> '
                    ,'<param name="movie" value="audio_player.swf" /> '
//tuka treba da se dodadat flesh vars
                    ,'<param name="FlashVars" value="file='+ Form1.mp3_file_name+'&buttonColor='+color_flash+'&bufferTime='+buffer_time+'&autoStart='+auto_start+'" />'
                    ,'<param name="quality" value="high" /> '
                    ,'<param name="bgcolor" value="#ffffff" /> '
                    ,'<embed src="audio_player.swf?file='+Form1.mp3_file_name+'&buttonColor='+color_flash+'&bufferTime='+buffer_time+'&autoStart='+auto_start+'" quality="high" bgcolor="#ffffff" width="65" height="22" name="audio_player" '
                    ,'align="middle" type="application/x-shockwave-flash" '
                    ,'pluginspage="http://www.macromedia.com/go/getflashplayer" /> </object>');
        writeln(f,'</body> </html>');
        CloseFile(f);
//display message and show the web page
{
  if MessageDlg('Would you like to see the web page',
           mtConfirmation, [mbYes,mbNo], 0,) = mrYes then
           begin
               //odi na temphtml
              ShellExecute(Application.Handle, PChar('open'), PChar(ExtractFilePath(Application.ExeName)+'html\TempHtml.html'), PChar(0), nil, SW_NORMAL);
           end;
}
ShowMessage('Web page is built');
     end;
end;

procedure TForm2.Button2Click(Sender: TObject);
begin
close_bool:=false;
Form1.Show();
Form2.Close();
end;

procedure TForm2.FormActivate(Sender: TObject);
begin
  close_bool:=true;
end;

function TForm2.SmeniBoja(boja: Integer): String;
var
  boja_s: String;
begin
    case boja of
    0: boja_s:='000000';
    1: boja_s:='800000';
    2: boja_s:='008000';
    3: boja_s:='808000';
    4: boja_s:='000080';
    5: boja_s:='800080';
    6: boja_s:='408080';
    7: boja_s:='C0C0C0';
    8: boja_s:='808080';
    9: boja_s:='FF0000';
    10: boja_s:='00FF00';
    11: boja_s:='FFFF00';
    12: boja_s:='0000FF';
    13: boja_s:='FF00FF';
    14: boja_s:='00FFFF';
    15: boja_s:='FFFFFF';
  end;
  result:=boja_s;
end;


function TForm2.IzvrtiBoja(s: String):String;
var
  izvrten_s: String;
  i: Integer;
begin
  izvrten_s:='';
  i:=Length(s);
  while i>0 do
  begin
      izvrten_s:=izvrten_s+s[i-1]+s[i];
      i:=i-2;
  end;
  result:= izvrten_s;
end;


procedure TForm2.ColorGrid1Click(Sender: TObject);
var
newColor: TColor;
begin
  //ShowMessage('Se klikna i izbranat boja e: ' + IntToStr(ColorGrid1.Selection));
  Edit3.Text:=SmeniBoja(ColorGrid1.Selection);
  newColor:=StrToInt('$00'+IzvrtiBoja(Edit3.Text));
  Panel1.Color:= newColor;
end;

procedure TForm2.Edit3Exit(Sender: TObject);
var
i,j: integer;
temp, znaci: String;
newColor: TColor;
begin
  temp:= Edit3.Text;
  znaci := '1234567890AaBbCcDdEeFf';
  j:=0;
  if ((Length(temp)=6) or (Length(temp)=0)) then
  begin
    for i:=1 to Length(temp) do
      begin
          if (not(AnsiContainsStr(znaci,temp[i]))) then
            begin
               ShowMessage('Please enter valid hexadecimal digit');
               j:=j-1;
               break;
            end
           else j:=j+1
      end;
      if (j=6) then validna_boja:=true;
   end
   else
   begin
    ShowMessage('Please enter 6 digit hexadecimal number (e.g. FFFFFF for white)');
    validna_boja := false;
   end;
   if (validna_boja) then
   begin
     newColor:=StrToInt('$00'+IzvrtiBoja(temp));
     Panel1.Color:= newColor;
   end;
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
validna_boja := false;
end;

end.
